net.corda.core.contracts

## Class FixOf

- net.corda.core.contracts.FixOf

-     public class FixOf

  A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

  See Also:
    `class FixOf`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixOf(java.lang.String name, java.time.LocalDate forDay, Tenor ofTenor)` A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `java.time.LocalDate` | `component2()`
    `Tenor` | `component3()`
    `FixOf` | `copy(java.lang.String name, java.time.LocalDate forDay, Tenor ofTenor)` A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)
    `boolean` | `equals(java.lang.Object p)`
    `java.time.LocalDate` | `getForDay()`
    `java.lang.String` | `getName()`
    `Tenor` | `getOfTenor()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### FixOf

          public FixOf(java.lang.String name,
                       java.time.LocalDate forDay,
                       Tenor ofTenor)

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getForDay

          public java.time.LocalDate getForDay()

    - #### getOfTenor

          public Tenor getOfTenor()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public java.time.LocalDate component2()

    - #### component3

          public Tenor component3()

    - #### copy

          public FixOf copy(java.lang.String name,
                            java.time.LocalDate forDay,
                            Tenor ofTenor)

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)